### Function

# PangoFT2 render_layout_line_subpixel

#### Declaration [src]

    void
    pango_ft2_render_layout_line_subpixel (
      FT_Bitmap* bitmap,
      PangoLayoutLine* line,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayoutLine` onto a FreeType2 bitmap, with he location specified in fixed-point Pango units rather than pixels.

(Using this will avoid extra inaccuracies from rounding to integer pixels multiple times, even if the final glyph positions are integers.)

Available since: | 1.6

#### Parameters

`bitmap` | `FT_Bitmap*`
| A FT_Bitmap to render the line onto.
| The data is owned by the caller of the function.
`line` | `PangoLayoutLine*`
| A `PangoLayoutLine`
| The data is owned by the caller of the function.
`x` | `int`
| The x position of start of string (in Pango units)
`y` | `int`
| The y position of baseline (in Pango units)